Support » Plugin: SupportFlow » Syntax error on supportflow.php

  • ivan.costajr

    (@ivancostajr)


    When the plugin was install from WordPress repository, the WP shows a error on supportflow.php line 1041. If I installed from ZIP file (downloaded from Github), the error was on supportflow.php line 1039.

    The line is:
    $emails = array_filter( $emails, function ( $email ) use ( & $invalid_email_ids ) {

    Is a PHP version error? My PHP install is 5.4.

    https://wordpress.org/plugins/supportflow/

Viewing 5 replies - 1 through 5 (of 5 total)
  • Plugin Author Ian Dunn

    (@iandunn)

    What is the error?

    Thread Starter ivan.costajr

    (@ivancostajr)

    When I activated the plugin, the message was:

    Parse error: syntax error, unexpected T_FUNCTION in /home/.../public_html/wp-content/plugins/supportflow-master/supportflow.php on line 1039

    Plugin Author Ian Dunn

    (@iandunn)

    Hmm, ok. I’m on vacation next week, but I’ll take a look when I get back. Thanks for the report 🙂

    Thread Starter ivan.costajr

    (@ivancostajr)

    Hi,

    The problem was fixed when I upgraded the PHP version on my server to 5.5.12. Thanks for your attention.

    Is it possible to make a riqueriments section in the “readme” file? Put this type of information there may help someone else.

    Plugin Author Ian Dunn

    (@iandunn)

    Huh, it’s probably the use keyword and/or the anonymous function, but I thought those were introduced in 5.3.

    Regardless, I don’t really like closures in PHP anyway, so it’s probably best to just make it a named function, which should solve the problem.

Viewing 5 replies - 1 through 5 (of 5 total)
  • The topic ‘Syntax error on supportflow.php’ is closed to new replies.